Bug 509088 - compiz segfault in libstartup-notification
compiz segfault in libstartup-notification
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Adel Gadllah
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-01 05:29 EDT by Stefan Assmann
Modified: 2018-04-11 03:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-17 13:57:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Assmann 2009-07-01 05:29:48 EDT
Description of problem:
Jun 24 22:47:39 eeepc kernel: compiz[2320]: segfault at 2ea8860 ip 02ea8860 sp bfcb5c50 error 14 in libstartup-notification-1.so.0.0.0[30ce000+8000]

any other info I can provide, let me know.

Version-Release number of selected component (if applicable):
compiz-0.7.8-18.fc11.i586
startup-notification-0.9-6.fc11.i586

How reproducible:
seldom

Steps to Reproduce:
1. happened during normal system usage

Actual results:
compiz segfault

Expected results:
no segfault

Additional info:
Comment 2 Matěj Cepl 2009-11-05 13:33:38 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 3 Matěj Cepl 2009-11-17 07:02:08 EST
Switching incorrect assignees to the default one.
Comment 4 Chris Campbell 2009-12-16 13:43:34 EST
Stefan, can you still reproduce this bug on a fully updated Fedora 11 build? Or, if you are willing, can it still be seen on an updated Fedora 12 system (directions to do both are included in Comment #2.) If you still see this bug, please attach the logs as listed below.



Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available), /var/log/dmesg, and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Stefan Assmann 2009-12-17 02:58:43 EST
hasn't happened to me since I updated to F12. Thanks!
Comment 6 Chris Campbell 2009-12-17 13:57:15 EST
Thank you, very much, for your efforts in spotting and reporting this issue, and the follow up. Setting STATUS CLOSED NEXTRELEASE.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.